<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="a5a3dab6-9154-40bb-bf1b-5cd723651a60" name="Default Changelist" comment="" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/app.py">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="195">
              <caret line="39" lean-forward="true" selection-end-line="11" />
              <folding>
                <element signature="e#0#25#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/keyboards/inline/categories.py">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="175">
              <caret line="7" column="21" selection-start-line="7" selection-start-column="4" selection-end-line="7" selection-end-column="21" />
              <folding>
                <element signature="e#0#68#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/handlers/user/__init__.py">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="50">
              <caret line="2" column="10" selection-start-line="2" selection-start-column="10" selection-end-line="2" selection-end-column="10" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/handlers/user/catalog.py">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="645">
              <caret line="59" selection-start-line="59" selection-end-line="59" selection-end-column="32" />
              <folding>
                <element signature="e#0#26#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/keyboards/inline/products_from_cart.py">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="500">
              <caret line="20" column="10" selection-start-line="20" selection-start-column="4" selection-end-line="20" selection-end-column="10" />
              <folding>
                <element signature="e#0#68#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/handlers/user/cart.py">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="479">
              <caret line="107" selection-start-line="107" selection-end-line="108" selection-end-column="59" />
              <folding>
                <element signature="e#0#26#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/keyboards/inline/products_from_catalog.py">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="175">
              <caret line="7" column="18" selection-start-line="7" selection-start-column="4" selection-end-line="7" selection-end-column="18" />
              <folding>
                <element signature="e#0#68#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/utils/db/storage.py">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="200">
              <caret line="20" column="18" selection-start-line="20" selection-start-column="18" selection-end-line="20" selection-end-column="18" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/handlers/user/menu.py">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="95">
              <caret line="4" column="21" selection-start-line="4" selection-start-column="14" selection-end-line="4" selection-end-column="21" />
              <folding>
                <element signature="e#0#54#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Python Script" />
      </list>
    </option>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>back_message</find>
      <find>delete</find>
      <find>action</find>
      <find>add</find>
      <find>products</find>
    </findStrings>
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/data/config.py" />
        <option value="$PROJECT_DIR$/utils/db/__init__.py" />
        <option value="$PROJECT_DIR$/utils/db/storage.py" />
        <option value="$PROJECT_DIR$/loader.py" />
        <option value="$PROJECT_DIR$/filters/is_user.py" />
        <option value="$PROJECT_DIR$/filters/is_admin.py" />
        <option value="$PROJECT_DIR$/filters/__init__.py" />
        <option value="$PROJECT_DIR$/handlers/user/menu.py" />
        <option value="$PROJECT_DIR$/app.py" />
        <option value="$PROJECT_DIR$/handlers/admin/__init__.py" />
        <option value="$PROJECT_DIR$/handlers/__init__.py" />
        <option value="$PROJECT_DIR$/states/product_state.py" />
        <option value="$PROJECT_DIR$/states/__init__.py" />
        <option value="$PROJECT_DIR$/keyboards/default/markups.py" />
        <option value="$PROJECT_DIR$/keyboards/default/__init__.py" />
        <option value="$PROJECT_DIR$/keyboards/__init__.py" />
        <option value="$PROJECT_DIR$/handlers/admin/add.py" />
        <option value="$PROJECT_DIR$/../ТЕСТОВЫЙ.py" />
        <option value="$PROJECT_DIR$/keyboards/inline/categories.py" />
        <option value="$PROJECT_DIR$/keyboards/inline/products_from_catalog.py" />
        <option value="$PROJECT_DIR$/keyboards/inline/products_from_cart.py" />
        <option value="$PROJECT_DIR$/handlers/user/__init__.py" />
        <option value="$PROJECT_DIR$/handlers/user/catalog.py" />
        <option value="$PROJECT_DIR$/handlers/user/cart.py" />
      </list>
    </option>
  </component>
  <component name="ProjectFrameBounds" extendedState="7">
    <option name="width" value="1797" />
    <option name="height" value="1040" />
  </component>
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="Scope" />
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="aio_bot_prj" type="b2602c69:ProjectViewProjectNode" />
              <item name="aio_bot_prj" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="aio_bot_prj" type="b2602c69:ProjectViewProjectNode" />
              <item name="aio_bot_prj" type="462c0819:PsiDirectoryNode" />
              <item name="data" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="aio_bot_prj" type="b2602c69:ProjectViewProjectNode" />
              <item name="aio_bot_prj" type="462c0819:PsiDirectoryNode" />
              <item name="handlers" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="aio_bot_prj" type="b2602c69:ProjectViewProjectNode" />
              <item name="aio_bot_prj" type="462c0819:PsiDirectoryNode" />
              <item name="handlers" type="462c0819:PsiDirectoryNode" />
              <item name="admin" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="aio_bot_prj" type="b2602c69:ProjectViewProjectNode" />
              <item name="aio_bot_prj" type="462c0819:PsiDirectoryNode" />
              <item name="handlers" type="462c0819:PsiDirectoryNode" />
              <item name="user" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="aio_bot_prj" type="b2602c69:ProjectViewProjectNode" />
              <item name="aio_bot_prj" type="462c0819:PsiDirectoryNode" />
              <item name="keyboards" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="aio_bot_prj" type="b2602c69:ProjectViewProjectNode" />
              <item name="aio_bot_prj" type="462c0819:PsiDirectoryNode" />
              <item name="keyboards" type="462c0819:PsiDirectoryNode" />
              <item name="inline" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="aio_bot_prj" type="b2602c69:ProjectViewProjectNode" />
              <item name="aio_bot_prj" type="462c0819:PsiDirectoryNode" />
              <item name="utils" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="aio_bot_prj" type="b2602c69:ProjectViewProjectNode" />
              <item name="aio_bot_prj" type="462c0819:PsiDirectoryNode" />
              <item name="utils" type="462c0819:PsiDirectoryNode" />
              <item name="db" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="last_opened_file_path" value="$PROJECT_DIR$/../ТЕСТОВЫЙ.py" />
    <property name="settings.editor.selected.configurable" value="com.jetbrains.python.configuration.PyActiveSdkModuleConfigurable" />
  </component>
  <component name="RecentsManager">
    <key name="CopyFile.RECENT_KEYS">
      <recent name="C:\Users\Администратор\Desktop\aio_bot_prj\handlers\admin" />
      <recent name="C:\Users\Администратор\Desktop\aio_bot_prj" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager" selected="Python.app">
    <configuration name="ТЕСТОВЫЙ" type="PythonConfigurationType" factoryName="Python" temporary="true">
      <module name="aio_bot_prj" />
      <option name="INTERPRETER_OPTIONS" value="" />
      <option name="PARENT_ENVS" value="true" />
      <envs>
        <env name="PYTHONUNBUFFERED" value="1" />
      </envs>
      <option name="SDK_HOME" value="" />
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$/.." />
      <option name="IS_MODULE_SDK" value="false" />
      <option name="ADD_CONTENT_ROOTS" value="true" />
      <option name="ADD_SOURCE_ROOTS" value="true" />
      <option name="SCRIPT_NAME" value="$PROJECT_DIR$/../ТЕСТОВЫЙ.py" />
      <option name="PARAMETERS" value="" />
      <option name="SHOW_COMMAND_LINE" value="false" />
      <option name="EMULATE_TERMINAL" value="false" />
      <option name="MODULE_MODE" value="false" />
      <option name="REDIRECT_INPUT" value="false" />
      <option name="INPUT_FILE" value="" />
      <method v="2" />
    </configuration>
    <configuration name="app" type="PythonConfigurationType" factoryName="Python" temporary="true">
      <module name="aio_bot_prj" />
      <option name="INTERPRETER_OPTIONS" value="" />
      <option name="PARENT_ENVS" value="true" />
      <envs>
        <env name="PYTHONUNBUFFERED" value="1" />
      </envs>
      <option name="SDK_HOME" value="" />
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$" />
      <option name="IS_MODULE_SDK" value="true" />
      <option name="ADD_CONTENT_ROOTS" value="true" />
      <option name="ADD_SOURCE_ROOTS" value="true" />
      <option name="SCRIPT_NAME" value="$PROJECT_DIR$/app.py" />
      <option name="PARAMETERS" value="" />
      <option name="SHOW_COMMAND_LINE" value="false" />
      <option name="EMULATE_TERMINAL" value="false" />
      <option name="MODULE_MODE" value="false" />
      <option name="REDIRECT_INPUT" value="false" />
      <option name="INPUT_FILE" value="" />
      <method v="2" />
    </configuration>
    <recent_temporary>
      <list>
        <item itemvalue="Python.app" />
        <item itemvalue="Python.ТЕСТОВЫЙ" />
      </list>
    </recent_temporary>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="a5a3dab6-9154-40bb-bf1b-5cd723651a60" name="Default Changelist" comment="" />
      <created>1681389859995</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1681389859995</updated>
    </task>
    <servers />
  </component>
  <component name="ToolWindowManager">
    <frame x="-8" y="-8" width="1936" height="1056" extended-state="7" />
    <editor active="true" />
    <layout>
      <window_info content_ui="combo" id="Project" order="0" visible="true" weight="0.24973656" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info id="Favorites" order="2" side_tool="true" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" />
      <window_info active="true" anchor="bottom" id="Run" order="2" visible="true" weight="0.17984831" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.4" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" />
      <window_info anchor="bottom" id="Pylint" order="7" />
      <window_info anchor="bottom" id="Version Control" order="8" />
      <window_info anchor="bottom" id="Terminal" order="9" weight="0.32936078" />
      <window_info anchor="bottom" id="Event Log" order="10" side_tool="true" />
      <window_info anchor="bottom" id="Python Console" order="11" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
    </layout>
    <layout-to-restore>
      <window_info active="true" content_ui="combo" id="Project" order="0" visible="true" weight="0.24973656" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info id="Favorites" order="2" side_tool="true" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" />
      <window_info anchor="bottom" id="Run" order="2" weight="0.17984831" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.4" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" />
      <window_info anchor="bottom" id="Pylint" order="7" />
      <window_info anchor="bottom" id="Version Control" order="8" />
      <window_info anchor="bottom" id="Terminal" order="9" weight="0.32936078" />
      <window_info anchor="bottom" id="Event Log" order="10" side_tool="true" />
      <window_info anchor="bottom" id="Python Console" order="11" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
    </layout-to-restore>
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/requirements.txt">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/utils/db/__init__.py">
      <provider selected="true" editor-type-id="text-editor">
        <state>
          <caret column="36" selection-start-column="36" selection-end-column="36" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/loader.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="225">
          <caret line="9" column="38" lean-forward="true" selection-start-line="9" selection-start-column="22" selection-end-line="9" selection-end-column="38" />
          <folding>
            <element signature="e#0#42#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/filters/is_admin.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="125">
          <caret line="5" column="13" selection-start-line="5" selection-start-column="6" selection-end-line="5" selection-end-column="13" />
          <folding>
            <element signature="e#0#33#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/filters/__init__.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="50">
          <caret line="2" selection-start-line="2" selection-end-line="2" />
          <folding>
            <element signature="e#0#29#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/filters/is_user.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="200">
          <caret line="8" column="22" selection-start-line="8" selection-start-column="15" selection-end-line="8" selection-end-column="22" />
          <folding>
            <element signature="e#0#33#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/data/config.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="75">
          <caret line="3" selection-start-line="3" selection-end-line="3" selection-end-column="11" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/handlers/admin/__init__.py">
      <provider selected="true" editor-type-id="text-editor">
        <state>
          <caret column="15" selection-start-column="15" selection-end-column="15" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/handlers/__init__.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="25">
          <caret line="1" column="21" lean-forward="true" selection-start-line="1" selection-start-column="21" selection-end-line="1" selection-end-column="21" />
          <folding>
            <element signature="e#0#20#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/handlers/admin/add.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="225">
          <caret line="195" column="55" selection-start-line="195" selection-start-column="55" selection-end-line="195" selection-end-column="55" />
          <folding>
            <element signature="e#0#77#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/keyboards/default/markups.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="500">
          <caret line="20" selection-start-line="20" selection-end-line="20" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/keyboards/default/__init__.py">
      <provider selected="true" editor-type-id="text-editor">
        <state>
          <caret column="21" selection-start-column="21" selection-end-column="21" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/keyboards/__init__.py">
      <provider selected="true" editor-type-id="text-editor">
        <state>
          <caret column="21" selection-start-column="21" selection-end-column="21" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/states/__init__.py">
      <provider selected="true" editor-type-id="text-editor">
        <state>
          <caret column="54" selection-start-column="54" selection-end-column="54" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/states/product_state.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="250">
          <caret line="10" column="9" selection-start-line="10" selection-start-column="4" selection-end-line="10" selection-end-column="9" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/../ТЕСТОВЫЙ.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="475">
          <caret line="19" column="31" lean-forward="true" selection-start-line="19" selection-start-column="31" selection-end-line="19" selection-end-column="31" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/handlers/user/menu.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="95">
          <caret line="4" column="21" selection-start-line="4" selection-start-column="14" selection-end-line="4" selection-end-column="21" />
          <folding>
            <element signature="e#0#54#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/keyboards/inline/categories.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="175">
          <caret line="7" column="21" selection-start-line="7" selection-start-column="4" selection-end-line="7" selection-end-column="21" />
          <folding>
            <element signature="e#0#68#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/utils/db/storage.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="200">
          <caret line="20" column="18" selection-start-line="20" selection-start-column="18" selection-end-line="20" selection-end-column="18" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/handlers/user/__init__.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="50">
          <caret line="2" column="10" selection-start-line="2" selection-start-column="10" selection-end-line="2" selection-end-column="10" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/keyboards/inline/products_from_cart.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="500">
          <caret line="20" column="10" selection-start-line="20" selection-start-column="4" selection-end-line="20" selection-end-column="10" />
          <folding>
            <element signature="e#0#68#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/handlers/user/catalog.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="645">
          <caret line="59" selection-start-line="59" selection-end-line="59" selection-end-column="32" />
          <folding>
            <element signature="e#0#26#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="195">
          <caret line="39" lean-forward="true" selection-end-line="11" />
          <folding>
            <element signature="e#0#25#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/keyboards/inline/products_from_catalog.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="175">
          <caret line="7" column="18" selection-start-line="7" selection-start-column="4" selection-end-line="7" selection-end-column="18" />
          <folding>
            <element signature="e#0#68#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/handlers/user/cart.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="479">
          <caret line="107" selection-start-line="107" selection-end-line="108" selection-end-column="59" />
          <folding>
            <element signature="e#0#26#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
  </component>
</project>